package com.yiqi.generator.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yiqi.generator.domain.GenForm;

/**
 * 单生成记录Service接口
 *
 * @author xiaohei
 * @date 2023-07-23
 */
public interface IGenFormService extends IService<GenForm> {
    /**
     * 查询单生成记录
     *
     * @param id 单生成记录主键
     * @return 单生成记录
     */
    public GenForm selectGenFormById(Long id);

    /**
     * 查询单生成记录列表
     *
     * @param genForm 单生成记录
     * @return 单生成记录集合
     */
    public List<GenForm> selectGenFormList(GenForm genForm);

    /**
     * 新增单生成记录
     *
     * @param genForm 单生成记录
     * @return 结果
     */
    public int insertGenForm(GenForm genForm);

    /**
     * 修改单生成记录
     *
     * @param genForm 单生成记录
     * @return 结果
     */
    public int updateGenForm(GenForm genForm);

    /**
     * 批量删除单生成记录
     *
     * @param ids 需要删除的单生成记录主键集合
     * @return 结果
     */
    public int deleteGenFormByIds(Long[] ids);

    /**
     * 删除单生成记录信息
     *
     * @param id 单生成记录主键
     * @return 结果
     */
    public int deleteGenFormById(Long id);
}
